package com.engine.organization.entity.employee.vo;

/**
 * @description:
 * @author:dxfeng
 * @createTime: 2022/05/31
 * @version: 1.0
 */

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableColumn;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@OrganizationTable(pageId = "80e7830c-18e8-4e14-8241-18821195ef31",
        fields = "t.id," +
                "t.lastname," +
                "t.sex",
        fromSql = "FROM HrmResource t ",
        orderby = "id desc",
        primarykey = "id",
        tableType = WeaTableType.NONE
)
public class EmployeeTableVO {

    @OrganizationTableColumn(column = "id", display = false)
    private Long id;

    @OrganizationTableColumn(text = "姓名", width = "50%", column = "lastname")
    private String lastname;

    @OrganizationTableColumn(text = "性别", width = "50%", column = "sex")
    private String sex;


}
