package com.engine.organization.entity.fieldset.vo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/6/13
 * @Version V1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TypeTreeVO {

    //是否可以增加子节点
    private boolean addChild;

    private boolean canCanceled;

    //当前节点是否可点击
    private boolean canClick;

    //树id
    private String domid;

    //是否存在分组
    private boolean hasGroup;

    //是否有子节点
    private boolean haschild;

    //是否是叶子节点
    private boolean isLeaf;

    //是否是父节点
    private boolean isParent;

    //是否默认选中
    private boolean isSelected;

    //是否展示
    private String isShow;

    //是否默认展开
    private boolean isopen;

    //键
    private Long key;

    //树名称
    private String name;

    //子节点
    private List<TypeTreeVO> childs;

    //
    private int viewAttr;

    private ArrayList<TypeTreeVO> subs;

    //父节点id
    private Long pid;

}
