package com.engine.organization.entity.hrmresource.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author:dxfeng
 * @createTime: 2022/06/21
 * @version: 1.0
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class HrmResourcePO {
    /**
     * id
     */
    private Long id;

    /**
     * 编号
     */
    private String workCode;

    /**
     * 登录名
     */
    private String loginId;

    /**
     * 姓名
     */
    private String lastName;

    /**
     * 性别
     */
    private Integer sex;

    /**
     * 账号类型
     */
    private Integer accountType;

    /**
     * 主账号
     */
    private Long belongTo;

    /**
     * 部门
     */
    private Long departmentId;

    /**
     * 分部
     */
    private Long companyId;

    /**
     * 职务
     */
    private Long jobActivity;

    /**
     * 岗位
     */
    private Long jobTitle;

    /**
     * 职称
     */
    private Long jobCall;

    /**
     * 职级
     */
    private Long jobLevel;

    /**
     * 职务类别
     */
    private Long jobGroupId;

    /**
     * 职责描述
     */
    private String jobActivityDesc;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 系统语言
     */
    private Integer systemLanguage;

    /**
     * 照片
     */
    private String resourceImageId;

    /**
     * 头像
     */
    private String messagerUrl;

    /**
     * 办公地点
     */
    private Integer locationId;

    /**
     * 直接上级
     */
    private Long managerId;

    /**
     * 助理
     */
    private Long assistantId;

    /**
     * 移动电话
     */
    private String mobile;

    /**
     * 办公室电话
     */
    private String telephone;

    /**
     * 其他电话
     */
    private String mobileCall;

    /**
     * 传真
     */
    private String fax;

    /**
     * 电子邮件
     */
    private String email;

    /**
     * 办公室
     */
    private String workroom;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
