package com.engine.organization.common;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @description: 基础查询参数
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class BaseQueryParam {
    //当前页码
    private Integer current = 1;

    //每页数据条数
    private Integer pageSize = 10;
}
