package com.engine.organization.entity.po;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @Author weaver_cl
 * @description:
 * @Date 2022/4/26
 * @Version V1.0
 **/

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Demo {

    //主建，非自增 0表示集团 正数是现有分部信息ID
    private Integer fid;

    //1-集团或者虚拟组织名称 2-分部级虚拟组织分部
    private Integer flevel;

    //维度： 0-行政维度 负数-虚拟组织架构id
    private Integer fwd;

    //编号
    private String fnumber;

    //名称
    private String fname;

    //负责人id
    private Integer fleader;

    //编制人数
    private Integer fplan;

    //在岗人数
    private Integer fonjob;

    //是否虚拟组织，0-实体组织，1-虚拟组织
    private Integer fisvitual;

    //生效时间
    private Date ftimebegin;

    //失效时间
    private Date ftimeend;
}
